Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing
Class NSComponentOptions

    java.lang.Object
      chrriis.dj.nativeswing.NSComponentOptions

    public abstract class NSComponentOptions

extends Object

A collection of options that can be used for components.

Author:
  Christopher Deckers

Constructor Summary
`NSComponentOptions()`

Method Summary
`static NSOption` | `constrainVisibility()` Create an option to apply visibility constraints to the component, which allows mixing lightweight and heavyweight components to a certain extent.
`static NSOption` | `deactivateNativeIntegration()` Create an option to deactivate the native integration provided by the library.
`static NSOption` | `destroyOnFinalization()` Create an option to defer the destruction of the component until finalization or explicit disposal, rather than when the component is removed from its component tree.
`static NSOption` | `proxyComponentHierarchy()` Create an option to proxy the component hierarchy, which allows to change the component Z-order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSComponentOptions

    public NSComponentOptions()

Method Detail

### deactivateNativeIntegration

    public static NSOption deactivateNativeIntegration()

  Create an option to deactivate the native integration provided by the library. This option can be useful when the library is used but when its handling should be turned off for certain call paths.

  Returns:
    the option to deactivate the native integration.

### destroyOnFinalization

    public static NSOption destroyOnFinalization()

  Create an option to defer the destruction of the component until finalization or explicit disposal, rather than when the component is removed from its component tree. This options activates the component hierarchy proxying option.

  Returns:
    the option to destroy on finalization.

### proxyComponentHierarchy

    public static NSOption proxyComponentHierarchy()

  Create an option to proxy the component hierarchy, which allows to change the component Z-order.

  Returns:
    the option to proxy the component hierarchy.

### constrainVisibility

    public static NSOption constrainVisibility()

  Create an option to apply visibility constraints to the component, which allows mixing lightweight and heavyweight components to a certain extent.

  Returns:
    the option to constrain the visibility.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD